org.apache.felix.ipojo.manipulator

## Interface ManipulationResultVisitor

All Known Implementing Classes:
  CheckFieldConsistencyResultVisitor, ManipulatedResultWriter, ManipulationResultAdapter

    public interface ManipulationResultVisitor

Visit manipulation results.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visitClassStructure(org.apache.felix.ipojo.metadata.Element structure)` Called once per visitor with the class' structure discovered during manipulation.
`void` `visitEnd()` Called when all resources from this manipulation result have been processed.
`void` `visitManipulatedResource(String type, byte[] resource)` Accept a manipulated resource (main component class or inner classes).

### Method Detail

#### visitClassStructure

    void visitClassStructure(org.apache.felix.ipojo.metadata.Element structure)

Called once per visitor with the class' structure discovered during manipulation.

Parameters:
  `structure` - Component's structure (discovered during manipulation, not the data from metadata.xml)

#### visitManipulatedResource

    void visitManipulatedResource(String type,
                                  byte[] resource)

Accept a manipulated resource (main component class or inner classes).

Parameters:
  `type` - type name
  `resource` - manipulated bytecode

#### visitEnd

    void visitEnd()

Called when all resources from this manipulation result have been processed.